import request from '@/utils/request'

export function listRange(query) {
  return request({
    url: '/serviceTimeRange/list',
    method: 'get',
    params: query
  })
}

export function createRange(data) {
  return request({
    url: '/serviceTimeRange/create',
    method: 'post',
    data
  })
}

export function allRange(query) { 
  return request({
    url: '/serviceTimeRange/all',
    method: 'get',
    params: query
  })
} 

export function updateRange(data) {
  return request({
    url: '/serviceTimeRange/update',
    method: 'post',
    data
  })
}

export function deleteRange(data) {
  return request({
    url: '/serviceTimeRange/delete',
    method: 'post',
    data
  })
}
